RLETOPPM(1)

NAME
rletoppm - convert a Utah RLE image file into a PBMPLUS/ppm image file.

SYNOPSIS
rletoppm [ -h ] [ -v ] [ -p ] [ infile ]

DESCRIPTION
This program converts Utah RLE(5) image files into PBMPLUS full-color (ppm) image files. Rletoppm will handle four types of RLE files: Grayscale (8 bit data, no color map), Pseudocolor (8 bit data with a color map), Truecolor (24 bit data with color map), and Directcolor (24 bit data, no color map). Since the orgins for the RLE and PBMPLUS image file formats are in different locations, this program automatically "flips" the image when converting.

OPTIONS

-v  This option will cause rletoppm to operate in verbose mode. Header information is printed to "stderr".

-h  This option allows the header of the RLE file to be dumped to "stderr" without converting the file. It is equivalent to using the -v option except that no file conversion takes place.

-p  This option will output the ppm data in the "plain" format (P3), instead of the default "raw bits" format (P6). The plain format is more readable, but takes up more space.

infile
    The input will be read from this file. If infile is "-" or is not specified, the input will be read from the standard input stream. The resulting PBMPLUS/ppm data will be sent to "stdout".

EXAMPLES

rletoppm -v lenna.rle >lenna.ppm
    While running in verbose mode, convert lenna.rle to PBMPLUS/ppm format and store resulting data in lenna.ppm.

rletoppm -h test.rle
    Dump the header information of the RLE file called test.rle.

rletoppm -p test.rle >lenna.ppm
    Convert lenna.rle to PBMPLUS/ppm plain (P3) format and store in lenna.ppm.

SEE ALSO
ppmtorle(1), pgmtorle(1), urt(1), RLE(5)

AUTHOR
Wesley C. Barris
Army High Performance Computing Research Center (AHPCRC)
Minnesota Supercomputer Center, Inc.
Modifications by Eric Haines to support raw and plain formats.